#!/bin/sh
#
#Copyright @[2010] Novell, Inc.  All Rights Reserved.
#
# USE AND REDISTRIBUTION OF THIS WORK IS SUBJECT TO THE DEVELOPER LICENSE
# AGREEMENT OR OTHER AGREEMENT THROUGH WHICH NOVELL, INC. MAKES THE WORK
# AVAILABLE. THIS WORK MAY NOT BE ADAPTED WITHOUT  NOVELL'S PRIOR WRITTEN
# CONSENT.
#
# NOVELL PROVIDES THE WORK "AS IS," WITHOUT ANY EXPRESS OR IMPLIED WARRANTY,
# INCLUDING WITHOUT THE IMPLIED WARRANTIES OF MERCHANTABILITY,FITNESS FOR
# A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.  NOVELL, THE AUTHORS OF THE
# WORK, AND THE OWNERS OF COPYRIGHT IN THE WORK ARE NOT LIABLE FOR ANY
# CLAIM, DAMAGES, OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT, OR OTHERWISE, ARISING FROM, OUT OF, OR IN CONNECTION WITH THE WORK
# OR THE USE OR OTHER DEALINGS IN THE WORK.
#
# All rights reserved.
#
# Author: Tukaram Laxmeshwar feedback to tlaxmeshwar@novell.com
#

# Configuration Script for updating the common proxy user .
COMPRXUSRLOGFILE=/var/opt/novell/log/proxymgmt/pxymgmt.log 

proxyuserCred=$1

proxyUserCredFile=/etc/opt/novell/cifs/.cifsprxusrcred.enc

/opt/novell/cifs/bin/retrieve_proxy_cred $proxyuserCred > $2
out=$?
echo -e "Retrieve CIFS Proxy credentials has returned : $out" >> $COMPRXUSRLOGFILE
exit $out
